org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface DocumentedElement

All Known Subinterfaces:
  Category, Customization, DerivedTypedElement, EClassCustomization, Facet, FacetAttribute, FacetCustomization, FacetElement, FacetOperation, FacetReference, FacetSet

    public interface DocumentedElement

A representation of the model object 'Documented Element'.

The following features are supported:

- `Documentation`

See Also:
  `EFacetPackage.getDocumentedElement()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDocumentation()` Returns the value of the 'Documentation' attribute.
`void` `setDocumentation(java.lang.String value)` Sets the value of the '`Documentation`' attribute.

### Method Detail

#### getDocumentation

    java.lang.String getDocumentation()

Returns the value of the 'Documentation' attribute.

If the meaning of the 'Documentation' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Documentation' attribute.
See Also:
  `setDocumentation(String)`, `EFacetPackage.getDocumentedElement_Documentation()`
Generated:
Model:

#### setDocumentation

    void setDocumentation(java.lang.String value)

Sets the value of the '`Documentation`' attribute.

Parameters:
  `value` - the new value of the 'Documentation' attribute.
See Also:
  `getDocumentation()`
Generated: